Create Procedure DROP_PROCS ( ) 
   LANGUAGE SQL
   
/*
   ================================================================================
   Proc Name:       DROP_PROCS
   Create Date:     2003-07-24 11:55:56
                    This proc drops all the existing procs
   Author:          UPDI 
   ================================================================================

-- ================================================================================
-- *
-- * Licensed Materials - Property of IBM
-- * 5724-L68,5724-L69
-- * (C) Copyright IBM Corp. 2001, 2004 - All Rights Reserved.
-- * US Government Users Restricted Rights - Use, duplication or disclosure
-- * restricted by GSA ADP Schedule Contract with IBM Corp.
-- *
-- ================================================================================
*/

Begin
   Declare v_stmt Varchar(4000);
   Declare v_cnt  Integer Default 0;

   Declare CONTINUE HANDLER For SQLEXCEPTION
      Begin
      End;
   
   While v_cnt < 5 Do
      For xx As 
         Select 'Drop Procedure ' || procname drop_proc
           From syscat.procedures
          Where procschema = CURRENT_SCHEMA
            And procname <> 'DROP_PROCS'
      Do
         Set v_stmt = xx.drop_proc;
         EXECUTE Immediate v_stmt;
      End For;

      For xx As 
         Select 'Drop Specific Function ' || specificname drop_func
           From syscat.functions
          Where funcschema = CURRENT_SCHEMA
      Do
         Set v_stmt = xx.drop_func;
         EXECUTE Immediate v_stmt;
      End For;

      For xx As 
         Select 'Drop View ' || viewname drop_view
           From syscat.Views
          Where viewschema = CURRENT_SCHEMA
      Do
         Set v_stmt = xx.drop_view;
         EXECUTE Immediate v_stmt;
      End For;
 
      Set v_cnt = v_cnt + 1;
   End While;
End
!

CALL DROP_PROCS
!
CALL DROP_PROCS
!
CALL DROP_PROCS
!
CALL DROP_PROCS
!
CALL DROP_PROCS
!

Drop Procedure DROP_PROCS
!

