Create Procedure SET_GRANTS ( ) 
   LANGUAGE SQL
   
/*
   ================================================================================
   Proc Name:       SET_GRANTS
   Create Date:     2003-07-24 11:55:56
                    This proc sets the grants for the external users
   Author:          SYSTEM 
   ================================================================================

-- ================================================================================
-- *
-- * Licensed Materials - Property of IBM
-- * 5724-E75, 5724-E87, 5724-L68, 5724-L69
-- * (C) Copyright IBM Corp. 2001, 2008 - All Rights Reserved.
-- * US Government Users Restricted Rights - Use, duplication or disclosure
-- * restricted by GSA ADP Schedule Contract with IBM Corp.
-- *
-- ================================================================================
*/

Begin
   Declare v_grant Varchar(4000);
   Declare v_group Varchar(200) Default '$group_name$';

   Declare CONTINUE HANDLER For SQLEXCEPTION
      Begin
      End;
   
   Set v_grant = 'GRANT BINDADD, CONNECT, LOAD ON DATABASE TO GROUP ' || v_group;
   EXECUTE Immediate v_grant;

   Set v_grant = 'GRANT SELECT ON TABLE SYSIBM.SYSDUMMY1 TO GROUP ' || v_group;
   EXECUTE Immediate v_grant;

   For xx As 
      Select 'GRANT SELECT, INSERT, UPDATE, DELETE ON TABLE '|| tabname ||' TO GROUP ' || v_group tbl_grant
        From syscat.tables 
       Where TYPE = 'T' 
         And TABSCHEMA = CURRENT_SCHEMA
   Do
      Set v_grant = xx.tbl_grant;
      EXECUTE Immediate v_grant;
   End For;
   
   For xx As 
      Select 'GRANT ALTER ON TABLE '|| tabname ||' TO GROUP ' || v_group tbl_grant
        From syscat.tables 
       Where TYPE = 'T' 
         And TABSCHEMA = CURRENT_SCHEMA
         And (TABNAME LIKE 'DB_PURGE%' OR TABNAME = 'LG_MSG_RESTORE')
   Do
      Set v_grant = xx.tbl_grant;
      EXECUTE Immediate v_grant;
   End For;
   
   For xx As 
      Select 'GRANT SELECT, INSERT, UPDATE, DELETE ON ' || viewname || ' TO GROUP ' || v_group view_grant
        From syscat.views
       Where viewschema = CURRENT_SCHEMA
   Do
      Set v_grant = xx.view_grant;
      EXECUTE Immediate v_grant;
   End For;

   For xx As 
      Select 'GRANT EXECUTE ON FUNCTION '|| funcname || ' TO GROUP ' || v_group func_grant
        From syscat.functions
       Where funcschema = CURRENT_SCHEMA
   Do
      set v_grant = xx.func_grant;
      EXECUTE Immediate v_grant;
   End For;

   For xx As 
      Select 'GRANT EXECUTE ON PROCEDURE ' || procname || ' TO GROUP ' || v_group proc_grant
        From syscat.procedures
       Where procschema = CURRENT_SCHEMA
   Do
      Set v_grant = xx.proc_grant;
      EXECUTE Immediate v_grant;
   End For;
 
	SET v_Grant = 'GRANT USE OF TABLESPACE user_temp TO GROUP ' || v_group;
	EXECUTE IMMEDIATE v_grant;
End
!

CALL SET_GRANTS
!

Drop Procedure SET_GRANTS
!

CALL SQLJ.REFRESH_CLASSES()
!

