CREATE PROCEDURE DB_LOGSIZE_UPDATE
(
IN p_DBName VARCHAR(30)
)
LANGUAGE SQL
DYNAMIC RESULT SETS 1
SPECIFIC PR080523150146048
Begin
/*
	================================================================================
	Name:	   DB_LOGSIZE_UPDATE
	Create Date:	2009-07-20
	Author	  BHARANI J
	This Procedure Updates db logfilesize configuration

			 ::::::::::::::::::::::::::::::
				M O D I F I C A T I O N
			 ::::::::::::::::::::::::::::::
	---------- ------------ -------	---------------------------------------------
	DATE	   NAME		Version	DESCRIPTION
	---------  ------------ -------	---------------------------------------------
	2008-05-24 BHARANI J	6.2.x	JR33683
	================================================================================

*/
	
	DECLARE v_ProcName		VARCHAR(30)	default 'DB_LOGSIZE_UPDATE';
	DECLARE v_SqlText		VARCHAR(4000);
	DECLARE v_SqlERRM		VARCHAR(1000);
	DECLARE v_chkpt			CHAR(2)		DEFAULT '00';
	DECLARE v_BeginTS		TIMESTAMP;
	DECLARE v_oldlogfilsize         Integer;
	
	DECLARE EXIT HANDLER FOR SQLException
	BEGIN
		GET DIAGNOSTICS EXCEPTION 1 v_SqlERRM = MESSAGE_TEXT;
		RESIGNAL;
  	END;
	DECLARE CONTINUE HANDLER FOR NOT FOUND
	BEGIN
  	END;
  	
  	
	SELECT CAST(value AS INT) INTO v_oldlogfilsize FROM SYSIBMADM.DBCFG WHERE NAME ='logfilsiz';
	
  	IF v_oldlogfilsize < 10000 THEN
	
		SET v_SqlText = 'UPDATE DATABASE CONFIGURATION FOR  ' || p_DBName || ' USING logfilsiz 10000 immediate';
	
		CALL sysproc.ADMIN_CMD(v_SQLText);
	
	END IF;
		
END
!

call DB_LOGSIZE_UPDATE('$masdb_name$')
!

drop procedure DB_LOGSIZE_UPDATE
!