@echo off
REM Licensed Materials - Property of IBM
REM 5724-E75, 5724-E87, 5724-L68, 5724-L69.
REM (C) Copyright IBM Corporation 2001, 2007. All Rights Reserved.
REM US Government Users Restricted Rights- Use, duplication or disclosure
REM restricted by GSA ADP Schedule Contract with IBM Corp.
REM 
REM 
REM REPROCESSING EVENTS AND BUSINESS DOCS THAT FAIL TO LOG TO THE DATABASE
REM 
REM When an event or doc in the DATALOGQ JMS queue fails 3 attempts to log to the database, it is inserted
REM into the DATALOGERRORQ JMS queue to allow for later reprocessing when the cause of the problem has been fixed.
REM 
REM To reprocess these failed events and docs this manual utility is used:
REM 
REM reprocessDbLoggingErrors.bat
REM 
REM The utility dequeues all the events and docs from DATALOGERRORQ and reenqueues them into DATALOGQ so that the normal DocumentLogReceiver 
REM will again attempt to log them to the database.	The utility stops when it has processed all the existing events and docs in DATALOGERRORQ. 
REM 
REM Any events and docs that again fail to log end up again in DATALOGERRORQ, but the utility ensures that they are reprocessed only once
REM (i.e. it does not go into an endless loop with failing events and docs).
REM 
REM 
REM To run the utility make sure that the env variables are correctly defined in reprocessDbLoggingErrors.bat on any router machine:
REM 
REM REPROCESSOR_HOME=router installation root
REM LOG_REPROCESSOR_CLASSES=$REPROCESSOR_HOME\router\lib
REM 
REM Then just run it on the command line:
REM   reprocessDbLoggingErrors.bat
REM 

If %1X == X  goto Usage
   SET BOOTSTRAP_PORT=%1
   shift

REM the C:\IBM\Driver2_243\bcghub varaible is replaced during installation, to point to router installation root.
set BCGHUB_HOME=$BCGHUB_HOME$


REM call the setupcmdline.bat file to set the required JAVA_HOME and WAS_HOME env varaibles.
call "%BCGHUB_HOME%\bin\bcgSetupCmdLine.bat"

:PROMPT1
echo If the location of ws_runtime.jar present in this executable file is incorrect ,an error would be thrown.
echo Edit this batch file and change the location of the ws_runtime.jar.
set /p CHECKJAR="Press any key to continue."
set REPROCESSOR_LIB=%BCGHUB_HOME%\wasND\profiles\%RouterProfile%\installedApps\%CellName%\BCGDocMgr.ear
set WAS_HOME=%WAS_HOME%
set JAVA_HOME=%BCGHUB_WAS_HOME%\java


set JNDI_URL=corbaloc:iiop:localhost:%BOOTSTRAP_PORT%

set LOG_REPROCESSOR_CLASSES=%REPROCESSOR_LIB%\lib
set WAS_PLUGIN_JAR=%BCGHUB_WAS_HOME%\deploytool\itp\plugins\com.ibm.websphere.v61_6.1.0\ws_runtime.jar;%BCGHUB_WAS_HOME%\plugins\com.ibm.ws.runtime_6.1.0.jar
set WAS_JNDI_RUNTIME_JAR=%BCGHUB_WAS_HOME%\runtimes\com.ibm.ws.admin.client_6.1.0.jar
set LOG_REPROCESSOR_CLASSPATH=.;%WAS_PLUGIN_JAR%;%REPROCESSOR_LIB%\ejb\bcgDocMgrEjb.jar;%LOG_REPROCESSOR_CLASSES%\bcgCommon.jar;%LOG_REPROCESSOR_CLASSES%\bcgServiceClient.jar;%LOG_REPROCESSOR_CLASSES%\bcgService.jar;%LOG_REPROCESSOR_CLASSES%\bcgsdk.jar;%BCGHUB_WAS_HOME%\lib\j2ee.jar;%WAS_JNDI_RUNTIME_JAR%
@echo on

"%JAVA_HOME%\bin\java" -classpath "%LOG_REPROCESSOR_CLASSPATH%" com.ibm.bcg.server.serviceclient.eventEng.ReprocessEvent %JNDI_URL%
@echo off
goto end

:USAGE
@echo The script needs the following parameters
@echo 1. RouterServer's Bootstrap port
@echo "USAGE  : reprocessDbLoggingErrors <RouterServer Bootstrap port>"
:end
